using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SimAI : MonoBehaviour
{
    public bool canRoam = true;

    void Update()
    {
        /*
        if(canRoam && !isNearInteractable)
        {
            RoamAround();
        }

        if(isNearInteractable)
        {
            InteractWithObject(ObjectID);
        }
        */
    }

    void onPlayerInteraction()
    {
        canRoam = false;
    }

    void onPlayerInteractionEnd()
    {
        canRoam = true;
    }
}
